Глюки форума продолжаются, часть 2.

 
1 134 135 136 137 138 219
+
-
edit
 

Fakir

BlueSkyDreamer
★★★★
Balancer> Попробуй найти причину в консоли браузера. У меня (как и судя по активности выставления оценок у большинства пользователей) всё работает, поэтому сам поймать эту ошибку не смогу.
Balancer> ADP, вон, уже показал, что не грузится jQuery

В файрфоксе у меня то же самое, что у ADP.
Прикреплённые файлы:
еггог.jpg (скачать) [808x629, 97 кБ]
 
 
 3.6.33.6.3

Fakir

BlueSkyDreamer
★★★★
В другом браузере:
Прикреплённые файлы:
 
 3.6.33.6.3
+
-
edit
 

Balancer

администратор
★★★★★
Fakir> В файрфоксе у меня то же самое, что у ADP.

Да, это уже вполне очевидно. Вопрос в том, что приводит к тому, что у тебя jQuery не грузится.
 3131
+
-
edit
 

Balancer

администратор
★★★★★
Fakir> В другом браузере:

Ага. А вот это уже интереснее. Первая же строка ошибки говорит, что у браузера чего-то не хватает. Смотрим версию — Firefox 3.x.

Читаем описание поддерживаемых браузеров jQuery. Firefox: (Current - 1) or Current. Т.е. сейчас он гарантирует поддержку 25-й и 26-й версии.

Вот так, видимо, ларчик и раскрывается.
 3131
+
-
edit
 

Fakir

BlueSkyDreamer
★★★★
И как это определить? Что мне необходимо делать?

Может, имеет смысл с другого конца покрутить - раз раньше всё работало на тех же браузерах при тех же настройках, то глянуть, какие изменения ты вносил (если вносил) пару дней назад? Есть смысл, нет???
 3.6.33.6.3
+
-
edit
 

Fakir

BlueSkyDreamer
★★★★
Balancer> Читаем описание поддерживаемых браузеров jQuery. Firefox: (Current - 1) or Current. Т.е. сейчас он гарантирует поддержку 25-й и 26-й версии.

Едриииит...
 3.6.33.6.3
+
-
edit
 

Balancer

администратор
★★★★★
Fakir> Едриииит...

Попозже попробую в случае обнаружения старой версии браузера грузить старую версию jQuery и выдавать предупреждение. Новые плагины и всякие фишки могут перестать работать со старыми версиями, но основной функционал, который я пишу, в т.ч. оценки и т.п. будет работать.

Но, вообще, об обновлении полезно будет подумать. jQuery сегодня используют очень многие и не все будут заботиться о поддержке старых версий :D
 3131
+
-1
-
edit
 

Fakir

BlueSkyDreamer
★★★★
Balancer> Попозже попробую в случае обнаружения старой версии браузера грузить старую версию jQuery и выдавать предупреждение.

Конструктивно :)
А может вообще только её и грузить? ;)

Balancer> Новые плагины и всякие фишки могут перестать работать со старыми версиями, но основной функционал, который я пишу, в т.ч. оценки и т.п. будет работать.

Нахрен новые плагины и фишки! Долой свистоперделки! :F
 3.6.33.6.3
+
+1
-
edit
 

Balancer

администратор
★★★★★
Fakir> А может вообще только её и грузить? ;)

Я давно уже перерос красноглазие ручной работы и у меня asset-библиотеки (js/css/etc) грузятся через пакетный менеджер bower. И, ради исправления ошибок или добавления новых фишек приходится регулярно обновляться :) jQuery 2.0, в котором и выкинули старые браузеры, вышел уже почти год назад, так что Web-инфраструктура переориентировалась на него :) Я тянул до последнего, но стало вылезать слишком много конфликтов.

Fakir> Нахрен новые плагины и фишки! Долой свистоперделки! :F

Ну, вот, даже обычное выставление оценок — такая свистоперделка :) Только хотя бы самописанная. Но я не буду сам писать всяких монстров, типа визуального редактирования в формах ответа, красивых превьюшек фоток, удобной интерактивной загрузки аттачей (в планах) и т.п.
 3131
+
-
edit
 

Sheradenin

аксакал

Fakir> А может вообще только её и грузить? ;)
Fakir> Нахрен новые плагины и фишки! Долой свистоперделки! :F

Да уж, пользоваться древним дырявым браузером - это принципиальная позиция )))

Всех дел - запустить обновления в три клика мышкой.
<b>Freedom is the right to tell people what they do not want to hear. George Orwell</b>  32.0.1700.10232.0.1700.102
+
-
edit
 

Balancer

администратор
★★★★★
Пока принудительно прописал старую версию. Пока что-то не сломается, будет стоять :)
 3131
+
-
edit
 

Balancer

администратор
★★★★★
А, вспомнил, почему я ещё обновился. Старая версия стала в Chrome выдавать предупреждения, что меня при разработке раздражает :) Правда, как выяснилось, последняя стабильная 2.x тоже ещё выдаёт это предупреждение.
 3131
+
-
edit
 

Fakir

BlueSkyDreamer
★★★★
Balancer> Пока принудительно прописал старую версию. Пока что-то не сломается, будет стоять :)

Тем не менее пока не заработало.
 3.6.33.6.3
+
+1
-
edit
 

Balancer

администратор
★★★★★
Fakir> Тем не менее пока не заработало.

Ошибка та же? Страницы обновлённые, не из кеша? (должна стоять загрузка jQuery версии 1.11.0)
 3131
+
-
edit
 

Fakir

BlueSkyDreamer
★★★★
Balancer> Ошибка та же?

Похожа, во всяком случае.

Balancer> Страницы обновлённые, не из кеша? (должна стоять загрузка jQuery версии 1.11.0)

Страницы вроде обновленные, версия эта.

Если ткнуть на инструмены - так же выкидывает наверх страницы, но если прокрутить назад - видна такая вот загрузка, и она может крутиться так до посинения.
Прикреплённые файлы:
еггог2.jpg (скачать) [632x453, 58 кБ]
 
загрузка.jpg (скачать) [1008x629, 166 кБ]
 
 
 3.6.33.6.3

Fakir

BlueSkyDreamer
★★★★
Хм, очень странно - в одном из браузеров в принципе инструменты стали открываться, но у двух постов открылись, но как-то через раз - то откроются, то нет; два открылись, а на третьем тупит, или снова выкидывает наверх страницы.
 3.6.33.6.3
UA Sheradenin #02.02.2014 20:41
+
-
edit
 

Sheradenin

аксакал

Это глюки из за того что в браузере дерьмо налипло (левые плагины и т.п.) ?

Я про всплывающие слева снизу панельки с трешовой рекламой.
Или так и задумано? Сколько денег стоит выключить? Или adblock? ))
Прикреплённые файлы:
 
<b>Freedom is the right to tell people what they do not want to hear. George Orwell</b>  26.026.0
?? Balancer #02.02.2014 20:53  @Sheradenin#02.02.2014 20:41
+
-
edit
 

Balancer

администратор
★★★★★
Sheradenin> Это глюки из за того что в браузере дерьмо налипло (левые плагины и т.п.) ?

Хм. Походу, у тебя или провайдера ломанули, или комп с вирусами. Там блок с Твиттер-лентой (см. аттач).

А у тебя кто-то этот блок в трафике подменяет на левоту.
Прикреплённые файлы:
 
 3232

sam7

координатор
★★★★
Balancer>

Попробую спросить еще раз.
Не работает перенос отмеченных сообщений, ответ - "Сообщения для переноса не найдены"

Пробовал в разных браузерах.
Все остальное работает, "драйвера переставлял" (С)
 7.07.0
+
+1
-
edit
 

Anika

координатор
★★☆
Начала регулярно случаться фигня: при попытке открыть "Показать все темы с Вашим участием" - Fatal error: in /var/www/bors/bors-core/engines/bors.php on line 307
Когда говорит масло - пушки молчат. А голос пушек - это голос Муз. (c)Ю.Шерман  26.026.0
+
-
edit
 

Balancer

администратор
★★★★★
Anika> Начала регулярно случаться фигня: при попытке открыть "Показать все темы с Вашим участием" - Fatal error: in /var/www/bors/bors-core/engines/bors.php on line 307

Кажется, починил.
 3232
+
-
edit
 

Fakir

BlueSkyDreamer
★★★★
Balancer> Пока принудительно прописал старую версию. Пока что-то не сломается, будет стоять :)

Всё так же не работает.
 3.6.33.6.3
+
+1
-
edit
 

Balancer

администратор
★★★★★
Fakir> Всё так же не работает.

Именно эта ошибка? Я в логах больше её не вижу. Если да, просьба указывать точное время, когда вылезла, попробую искать глубже.

Если ошибка другая, то нужная детальная информация.
 32.0.1700.10232.0.1700.102

Mishka

модератор
★★★
Mishka> Во, блин, текст есть, а не показывается.
Ага, это последнее сообщение.
 26.026.0
+
-
edit
 

Balancer

администратор
★★★★★
Помогает сброс кеша. Это я понемногу переделываю структуру данных форума, иногда кеши пока глючат. Чтобы не ломать сразу всё, перетаскиваю поэтапно.
 32.0.1700.10732.0.1700.107
1 134 135 136 137 138 219

в начало страницы | новое
 
Поиск
Настройки
Твиттер сайта
Статистика
Рейтинг@Mail.ru